Subject: error on you web page

From: Figueroa Arnold Civ OO-ALC/MASAC <[email-masked]>
Date: Fri, 11 Feb 2005 08:02:13 -0700

At the bottom of the web page (http://www.darwinday.org/home/index.html),
the graphic, of the evolution of the horse, is wrong.  I know this is nit
picky but the educated anti-evolutionists will "make hay" with it.  You've
repeated an error in representation of the concept that was made long ago,
by a museum technician, if I recall correctly.  Please consult a
paleontologist as to why this graphic is wrong.  Please don't get me wrong,
I think what you're doing is wonderful and vitally necessary for today's
education.  Thank you.